Bug 9873 - Quiet errors in the log from XSLT.pm
Summary: Quiet errors in the log from XSLT.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-20 14:58 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9873 - Quiet errors in the log from XSLT.pm (1.54 KB, patch)
2013-03-20 15:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9873 - Quiet errors in the log from XSLT.pm (1.56 KB, patch)
2013-03-29 09:54 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 9873 - Quiet errors in the log from XSLT.pm (1.70 KB, patch)
2013-03-30 23:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-03-20 14:58:30 UTC
If XSLTResultsDisplay is enabled errors can appear in the staff client log complaining "Use of uninitialized value in hash element at C4/XSLT.pm line 282.
Comment 1 Owen Leonard 2013-03-20 15:05:43 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-03-29 09:54:01 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-30 23:11:27 UTC
Created attachment 17067 [details] [review]
[PASSED QA] Bug 9873 - Quiet errors in the log from XSLT.pm

If XSLTResultsDisplay is enabled and items in your search results lack a
shelving location or a ccode errors will appear in the log complaining
of "uninitialized value in hash element." This patch adds a check on
these values to quiet the errors.

To test, find or create a record with items which have no shelving
location and/or no collection code. Perform a search the results for
which will include your record. Check for errors in the log.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Cleans up logs for result list quite a bit.
Passes all tests and QA script.
Comment 4 Jared Camins-Esakov 2013-03-31 00:37:34 UTC
This patch has been pushed to master.
Comment 5 Chris Cormack 2013-04-24 21:29:20 UTC
This doesn't apply to 3.10.x please send a new patch if you wish it back ported